## Frequently Asked Questions

### How do I cite this tool in my research paper?

Please refer to the [How to cite](/page/citing/) page.

### What query syntax can I use?

Most standard search engine query syntax is supported. An 
[overview of syntax you can use](/page/query-syntax/) is available.

### How complete is the data?

Generally speaking, all posts made since scraping started are available, as 
well as some older posts that were included in the initial scrapes. If the 
data you're interested in is located near the beginning of the dataset, it
is probably a good idea to triangulate it with other archives or the platform
itself to confirm the completeness. 

You can also [e-mail](mailto:4cat@oilab.eu) us for more details about the 
archive.

### What countries does the "All European countries" country query include?

United Kingdom, Germany, Netherlands, Russian Federation, Finland, France, 
Romania, Poland, Sweden, Norway, Spain, Ireland, Italy, Slovenia, Serbia, 
Denmark, Croatia, Greece, Bulgaria, Belgium, Austria, Hungary, Switzerland, 
Portugal, Lithuania, Czech Republic, Estonia, Uruguay, Latvia, Slovakia, 
Macedonia, Ukraine, Iceland, Bosnia and Herzegovina, Cyprus, Georgia, 
Luxembourg, Montenegro, Albania, Moldova, Isle of Man, Europe, Belarus, 
Monaco, Aland, Kazakhstan, Armenia, Guernsey, Jersey, Malta, Faroe Islands, 
Azerbaijan, Liechtenstein and Andorra

### Where do the word lists used in token filtering come from?

The following word lists are available via 4CAT:

- Multiple stopword lists from the 
  [stopwords-iso](https://github.com/stopwords-iso/stopwords-iso) project.
- The English stopword list from the [Terrier](http://terrier.org) package.
- The [cracklib](https://github.com/cracklib/cracklib) word list. This is the
  most expansive word list available in 4CAT (English).
- The [Infochimps](https://github.com/dwyl/english-words/) English wordlist
  (`words.txt`, English).
- The [OpenTaal](https://www.opentaal.org) wordlist (Dutch).
- A word list of unknown origin that is far more expansive than the OpenTaal
  list, with the trade-off that its provenance is unclear (Dutch). 